tigase.jaxmpp.core.client.connector

## Interface BoshRequest

- All Superinterfaces:
    Runnable
  All Known Implementing Classes:
    BoshWorker, BoshWorker

      public interface BoshRequest
      extends Runnable

  Interface for implements http BOSh requests.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRid()` Returns current response ID.
    `void` | `terminate()` Terminates request.

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Method Detail

    - #### getRid

          String getRid()

      Returns current response ID.
      Returns:
        response id.

    - #### terminate

          void terminate()

      Terminates request.

Copyright © 2006–2020 Tigase. All rights reserved.